'Update niet naar iOS 5.0.1 als je van plan bent te jailbreaken'

Door: Wouter Hoeffnagel | 10 november 2011 17:11

Apple

De hacker Pod2g van het Chronic Dev Team raadt iOS-gebruikers die gebruik willen maken van een untethered jailbreak aan voorlopig niet te updaten naar iOS 5.0.1. De update verhelpt waarschijnlijk een kwetsbaarheid die het jailbreaken een stuk eenvoudiger maakt.

Pod2g kondigde enkele dagen geleden aan een exploit te hebben gevonden waarmee bestaande tethered jailbreaks voor iOS 5 untethered kunnen worden gemaakt. iOS 5.0.1 bevat volgens de hacker echter een patch die de kwetsbaarheid die Charlie Miller deze week bekend maakte verhelpt. Deze kwetsbaarheid maakt het mogelijk apps eigengemaakte code te laten downloaden en uitvoeren. De kwetsbaarheid kan van pas komen bij het uitvoeren van een jailbreak.

De exploit wordt momenteel door pod2g uitgewerkt tot een untethered jailbreak voor de iPhone 3GS met nieuwe bootrom, de iPhone 4, 1e generatie iPad en 3e en 4e generatie iPod touch. Deze apparaten kunnen momenteel met behulp van redsn0w van het iPhone Dev Team worden voorzien van een tethered jailbreak.

Pod2g heeft tegen iPhoneclub gezegd dat het Chronic Dev Team niet meewerkt aan de ontwikkeling van de exploit tot jailbreak. Het team zou zich volledig willen richten op de ontwikkeling van hun eigen universele jailbreak voor iOS 5.